package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag765;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT765Creator;

public class Tag31RCreator extends AbsTagCreate {
    private MT765Creator mt765Creator;

    public Tag31RCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt765Creator= (MT765Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag31RValue = mt765Creator.getRequestedNewDateofExpiryofLocalUndertaking();
        mt765Creator.set("31R", tag31RValue);
    }
}
